Bug 1916307 - [RFE] Add insecure checkbox to the registration form
Summary: [RFE] Add insecure checkbox to the registration form
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Registration
Version: 6.8.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.9.0
Assignee: satellite6-bugs
QA Contact: Stephen Wadeley
URL:
Whiteboard:
: 1922867 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-14 14:05 UTC by Leos Stejskal
Modified: 2021-04-21 13:25 UTC (History)
4 users (show)

Fixed In Version: foreman-2.3.1.8-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-04-21 13:25:03 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 31503 0 Normal Closed Add insecure checkbox to the registration form 2021-02-16 16:49:39 UTC
Red Hat Product Errata RHSA-2021:1313 0 None None None 2021-04-21 13:25:19 UTC

Description Leos Stejskal 2021-01-14 14:05:02 UTC
We no longer need the insecure parameter in our endpoints, since we deploy the certificates as part of the registration. However we should add a checkbox that would add --insecure to the first curl command that we generate. There's no point in hiding this from user, since they end up adding that manually. The checkbox should be disabled by default though.

Comment 1 Leos Stejskal 2021-01-14 14:05:07 UTC
Created from redmine issue https://projects.theforeman.org/issues/31503

Comment 2 Leos Stejskal 2021-01-14 14:05:09 UTC
Upstream bug assigned to None

Comment 5 Bryan Kearney 2021-01-15 14:03:13 UTC
Moving this bug to POST for triage into Satellite since the upstream issue https://projects.theforeman.org/issues/31503 has been resolved.

Comment 7 Leos Stejskal 2021-02-12 08:55:28 UTC
*** Bug 1922867 has been marked as a duplicate of this bug. ***

Comment 12 errata-xmlrpc 2021-04-21 13:25:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: Satellite 6.9 Release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:1313


Note You need to log in before you can comment on or make changes to this bug.